package com.huiju.estateagents.eContract.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.eContract.entity.TaCompanyOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 企业和组织关系表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Mapper
@Component
public interface TaCompanyOrgMapper extends BaseMapper<TaCompanyOrg> {
    /**
     * 条件查询组织列表
     *
     * @param pg
     * @param companyName
     * @param companyCode
     * @param certifiedStatus
     * @param orgName
     * @param miniAppName
     * @return
     */
    IPage<TaCompanyOrg> listCompanyAndOrg(IPage<TaCompanyOrg> pg,
                                          @Param("companyName") String companyName,
                                          @Param("companyCode") String companyCode,
                                          @Param("certifiedStatus") String certifiedStatus,
                                          @Param("companyStatus") Integer companyStatus,
                                          @Param("orgName") String orgName,
                                          @Param("miniAppName") String miniAppName);
}
